*****************************************************************************
*** FUNCTION MFDPHIDTH is the differential flux dphi/dtheta which should be
*** integrated (by the routine GADAP).
*** Units: 1.0E-15 m**-2 (annihilation)**-1
*****************************************************************************

      real*8 function MFdphidth(th)
      implicit none
      include 'MFCom.h'

c------------------------ variables ------------------------------------

      real*8 th
      real*8 e1cm,e1
      integer istat
      character*2 wh

c------------------------ functions ------------------------------------
      real*8 MFphii
c-----------------------------------------------------------------------

      if (phiwh.eq.1) then
        wh='SU'
      else
        wh='EA'
      endif
c...Calculate the energy of particle 1 in the lab system

      e1cm=(phim0**2+phim1**2-phim2**2)/(2.0*phim0)
      e1=phie0/phim0*(e1cm + sqrt(phie0**2-phim0**2)/phie0*
     +  sqrt(e1cm**2-phim1**2)*cos(th))
      MFdphidth=1.0d+15*1.0d0/4.0d0*
     &  MFphii(e1,phieth,phithm,phich,wh,phifk,istat)*sin(th)
      end











