******************************************************************************
*** FUNCTION MURANG calculates the range in the ice for a muon of
*** a given energy. Unit: m
******************************************************************************

      REAL FUNCTION MURANG(EMU)
      IMPLICIT NONE
      
C------------------------ Variables ------------------------------------

      REAL EMU, ALPHAM, BETAM, MMU
      real alpha,beta,dens

      PARAMETER (MMU=0.105658d0)                   ! GeV
      parameter(alpha=0.00260,beta=3.49e-6)
      parameter(dens=1.0)

C-----------------------------------------------------------------------

C...Calculate range of muons by assuming dE/dX=-alpha-beta*Emu
      ALPHAM=ALPHA*DENS   ! GeV/cm
      BETAM=BETA*DENS     ! cm**-1
      MURANG = 1.0/BETAM*LOG((SQRT(EMU**2-MMU**2)+ALPHAM/BETAM)/
     &  (ALPHAM/BETAM))                   ! cm
c...Convert to meters
      murang=murang*0.01

      END
